/* 
 * File:   Evolver.h
 * Author: Stanislav Pelák
 */

#ifndef EVOLVER_H
#define	EVOLVER_H

#include <string>
#include "Circuit.h"
using namespace std;

class Evolver {
public:
    
    static void evolveBasic(string path, string ofile, Circuit* referenceCircuit, int r, int c, int l, int lambda, int mutation, int inputs, int outputs, int position);
    static void evolveRandom(string path, string ofile, Circuit* referenceCircuit, int r, int c, int l, int lambda, int mutation, int inputs, int outputs);
    
private:
    Evolver();
    Evolver(const Evolver& orig);
    virtual ~Evolver();
};

#endif	/* EVOLVER_H */

