//---------------------------------------------------------------------------

#ifndef utilsH
#define utilsH

#define MAXLINE 1000000

void GetLine( ifstream &f, char *line );
void GetLine( ifstream &f, string &line );
string GetToken( const char *line, unsigned int &pos);
string GetToken( string &line, unsigned int &pos );
string GetExtension( const string &s );
string GetFilename( const string &s );
string GetPath( const string &s );
string RemoveSpaces( const string &s );

string int2bin( unsigned int num, unsigned int length);
string bin2hex( const string num, unsigned int length );
string hex2bin( const string num );

string int2string( unsigned int num );

bool existsFile( string fn );

void to_upper(string &s);

//---------------------------------------------------------------------------
#endif
