/* 
 * File:   OutputManager.h
 * Author: Stanislav Pelák
 */

#ifndef OUTPUTMANAGER_H
#define	OUTPUTMANAGER_H

#include "Circuit.h"
#include <string>
#include <sstream>

using namespace std;


class OutputManager {
public:
    static void init(string path);
    
    static void printCircuitToBlif(Circuit* circuit, int fitness, string generation, vector<string> refOutputKeys);
    
private:
    static int cnt;
    static string path;
    
    OutputManager();
    OutputManager(const OutputManager& orig);
    virtual ~OutputManager();
};

#endif	/* OUTPUTMANAGER_H */

