/* 
 * File:   Gate.h
 * Author: Stanislav Pelák
 */

#ifndef GATE_H
#define	GATE_H

#include <string>
using std::string;

class Gate {
public:
    Gate();
    Gate(string name, int inputs, string CNFrep);
    Gate(const Gate& orig);
    virtual ~Gate();
    
    int GetInputs() const {
        return inputs;
    }

    string GetName() const {
        return name;
    }
    
    string GetCNFrep() const {
        return CNFrep;
    }
    
private:
    string name;
    int inputs;
    string CNFrep;
};

#endif	/* GATE_H */

