//---------------------------------------------------------------------------

#include "stdafx.h"

using namespace std;

#ifdef _MSC_VER
#pragma hdrstop
#endif

#include "../Kernel/kernelincludes.h"

#include "Node.h"
#include "Network.h"
#include "Signal.h"

Signal::Signal()
{
	owner = NULL;
	undefsource = true;
	PI = false;
	PO = false;
}

Signal::~Signal()
{
}

bool Signal::IsConstant(void) const
{
	if ( PI || PO ) return false;
	if ( undefsource )  return true;
	return source.first->getData()->isConstant();
}

//---------------------------------------------------------------------------
